data = null;
import './main.scss';
import {a,b} from './js/pcg-dom-util'
a(3)
const init = function() {
  let tagField, exportEl;

  div({
      renderTo: document.body,
      cls: 'content'
    },

    div({
      cls: 'main-menu'
    },
      view.cmp.Menu({title: 'Продукты', id: 'products', key: 'mainMenuActive'}),
      view.cmp.Menu({title: 'Ингредиенты', id: 'components', key: 'mainMenuActive'}),
      view.cmp.Menu({title: 'Генерируем', id: 'generate', key: 'mainMenuActive'}),
      view.cmp.Menu({title: 'Export', id: 'export', key: 'mainMenuActive', cls: 'menu-item-export'}),
    ),
    view.cmp.Switch({cls: 'content-area', key: 'mainMenuActive'}, {
      products: new view.page.Products(),
      components: new view.page.Components(),
      'export': <view.page.Export/>,
      generate: new view.page.Generate()
    })
  );

};


